<section *ngIf="workspace" class="section">

  <app-delete-repository-modal *ngIf="isDeleteRepositoryModalActive()" [currentWorkspace]="workspace"></app-delete-repository-modal>
  <app-add-repository *ngIf="isAddRepositoriesModalActive()" [currentWorkspace]="workspace"></app-add-repository>

  <div class="container">
    <div class="level">
      <div class="level-left">
        <div class="level-item">
          <app-breadcrumb class="has-text-primary" [currentWorkspace]="workspace"></app-breadcrumb>
        </div>
      </div>
      <div class="level-right">
        <div class="level-item">
          <div class="buttons">
            <a class="button has-background-primary has-text-white is-medium" (click)="showAddRepositoriesModal()">
              <span class="icon">
                <i class="fas fa-plus"></i>
              </span>
            </a>
            <a class="button has-background-primary has-text-white is-primary is-medium" (click)="openWorkspaceSettings()">
              <span class="icon"><i class="fas fa-wrench"></i></span>
              <span>Settings</span>
            </a>
            <a class="button is-light is-medium">
              <span class="icon"><i class="far fa-file-pdf"></i></span>
              <span>Export to PDF</span>
            </a>
          </div>
        </div>
      </div>
    </div>

    <div *ngFor="let repository of workspace.repositories" class="box">

      <div class="level">
        <div class="level-left">
          <div class="level-item">
            <h3 class="title is-3">
              <a class="has-text-primary"(click)="openRepository(repository)">{{ repository.name }}</a></h3>
          </div>
        </div>

        <div class="level-right">
          <div class="level-item ">
            <div class="dropdown is-hoverable">
              <div class="dropdown-trigger">
                <button class="button is-primary has-background-primary" aria-haspopup="true" aria-controls="dropdown-menu">
                  <span>Edit</span>
                  <span class="icon is-small">
                    <i class="fas fa-angle-down" aria-hidden="true"></i>
                  </span>
                </button>
              </div>
              <div class="dropdown-menu" id="dropdown-menu" role="menu">
                <div class="dropdown-content">
                  <a class="dropdown-item" (click)="openRepository(repository)">
                    Open
                  </a>
                  <hr class="dropdown-divider">
                  <a class="dropdown-item has-text-danger" (click)="showDeleteRepositoryModal(repository)">
                    Delete
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</section>
